Bug 123852 - scsi tape: hung "mt tell"
scsi tape: hung "mt tell"
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
1
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-20 19:00 EDT by Konstantin Olchanski
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-29 16:27:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
scsi errors from machine with hung "mt tell" (12.47 KB, text/plain)
2004-05-20 19:03 EDT, Konstantin Olchanski
no flags Details
the real sysrq-T trace. The previous file was the dump of scsi errors. (46.33 KB, text/plain)
2004-05-20 19:05 EDT, Konstantin Olchanski
no flags Details

  None (edit)
Description Konstantin Olchanski 2004-05-20 19:00:58 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040116

Description of problem:
After a SCSI error, we cannot access the SCSI tape drive: there is a
hung "mt tell" process and any access to the tape drive reports
"Device or resource busy". The only known way to recover from this is
by rebooting the machine. Instead, "mt tell" should not hang forever,
but should report an error and exit. The currently hung machine is a
dual-opteron box running fedora-1, but we periodically see this
problem all machines with tape drives (and they all happen to be
dual-cpu boxes).

Version-Release number of selected component (if applicable):
kernel-smp-2.4.22-1.2174.nptl

How reproducible:
Sometimes

Additional info:

Attached is stack trace from alt-sysrq-t: the "mt" process is stuck in
"st_do_scsi->wait_for_completion". It looks like the SCSI error
recovery path failed to wakeup "mt" after the SCSI request failed.

Attached are the scsi errors from the system log (grep -i scsi
/var/log/messages).

K.O.
Comment 1 Konstantin Olchanski 2004-05-20 19:03:27 EDT
Created attachment 100404 [details]
scsi errors from machine with hung "mt tell"
Comment 2 Konstantin Olchanski 2004-05-20 19:05:33 EDT
Created attachment 100405 [details]
the real sysrq-T trace. The previous file was the dump of scsi errors.
Comment 3 David Lawrence 2004-09-29 16:27:36 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/
Comment 4 Konstantin Olchanski 2004-09-29 20:09:54 EDT
This problem no longer exists after we replaced the AMD64 FC1 kernel
(2.4 based) with the AMD64 FC2 kernel (2.6.8-1.521smp). Userland is
still FC1. K.O.

Note You need to log in before you can comment on or make changes to this bug.